Imports EgtBEAMWALL.Core

Public Class FeatureInPartInRawPartListV

   ' funzione che impedisce di editare le righe che sono gia' in produzione
   Private Sub FeatureInPartInRawPartList_BeginningEdit(sender As Object, e As DataGridBeginningEditEventArgs)
      If IsNothing(e.Row) Then Return
      Dim RowVM As BTLFeatureVM = DirectCast(e.Row.DataContext, BTLFeatureVM)
      ' se in produzione impedisco modifica dei parametri
      If DirectCast(RowVM.BTLFeatureM.ParentPart, PartM).nProductionState > ItemState.ND Then
         'For Each cell In Row.Item
         e.Cancel = True
      End If
   End Sub

End Class
